<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.xplora.contactprovider">


    <permission
        android:name="com.xplora.provider"
        android:protectionLevel="normal"
        android:label="@string/permission_label"
        android:description="@string/permission_description"
        />

    <uses-permission android:name="com.xplora.provider"/>

    <application
        android:directBootAware="true"
        android:defaultToDeviceProtectedStorage="true"
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.ChatProvider"
        tools:targetApi="31">
        <activity
            android:name=".TestActivity"
            android:exported="true">
<!--            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>-->
        </activity>

        <provider
            android:name=".provider.WatchContactProvider"
            android:authorities="com.xplora.WatchContactProvider"
            android:exported="true"
            android:enabled="true"
            android:permission="com.xplora.provider"/>

        <receiver android:name=".DbTestReceiver"
            android:exported="true"
            android:permission="com.xplora.provider">
            <intent-filter>
                <action android:name="com.xplora.DB_TEST"/>
            </intent-filter>
        </receiver>
    </application>

</manifest>